using System;

namespace _1.z.na_2._ciklusu
{
    class Program
    {
        static void Main(string[] args)
        {
            string s;
            s = Console.ReadLine();
            string[] st = s.Split(' ');
            int x = int.Parse(st[0]);
            int y = int.Parse(st[1]);

            s = Console.ReadLine();
             st = s.Split(' ');
            int x1 = int.Parse(st[0]);
            int y1 = int.Parse(st[1]);
            if (x == x1&&y==y1)
            {
                Console.WriteLine(0);
            }
            else
            {
                if (x == x1 || y == y1) { Console.WriteLine(2); }
                else
                {
                    if (Math.Abs(x - x1) == Math.Abs(y - y1)) { Console.WriteLine(1); }
                    else { Console.WriteLine(0); }
                }
            }
        }
    }
}